.main-container {
    width: 100%;
    min-height: 100vh;
    display: flex;

    .login-container {
        width: 50%;
        background-color: #555;
        padding: 1rem;

        .form {
            position: relative;
            display: block;
            margin: 0 auto;
            width: 400px;
            height: 250px;
            background-color: #323030;
            border-radius: 10px;
            padding: 2rem;

            .full-width {
                width: 100%;
            }

            .button-container {
                width: 100%;
                text-align: center;
                margin-top: 30px;
            }
        }
    }

    .title-container {
        width: 50%;
        background-color: #323030;
        padding: 1rem;

        .wrapper {
            display: flex;
            width: 100%;
            height: 100%;
            text-align: center;
            align-items: center;
            justify-content: center;

            h1 {
                color: white;
                font-size: 50px;
                word-wrap: break-word;
                word-break: break-word;
                line-height: 1;
                transform: rotate(45deg);
            }
        }
    }
}

@media screen and (max-width: 900px) {
    .main-container {
        flex-wrap: wrap;

        .login-container {
            width: 100%;
        }

        .title-container {
            width: 100%;

            .wrapper {
                h1 {
                    transform: none;
                    font-size: 40px;
                }
            }
        }
    }
}

@media screen and (max-width: 500px) {
    .main-container {
        .login-container {
            .form {
                width: 200px;
                height: 200px;

                .button-container {
                    margin-top: 0;
                }
            }
        }

        .title-container {
            width: 100%;

            .wrapper {
                h1 {
                    font-size: 30px;
                }
            }
        }
    }
}

@media screen and (max-width: 300px) {
    .main-container {
        .login-container {
            padding: 0.5rem;
        }

        .title-container {
            padding: 0.5rem;
        }
    }
}